查询工作流运行详情
curl --request GET \
--url https://www.chenyu.cn/api/open/v2/workflow/run/info \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.chenyu.cn/api/open/v2/workflow/run/info"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.chenyu.cn/api/open/v2/workflow/run/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"msg": "<string>",
"data": {
"run_order_id": "<string>",
"workflow_id": "<string>",
"revision_id": "<string>",
"quote_amount": "<string>",
"quote_currency": "<string>",
"freeze_status": "<string>",
"submission_status": "<string>",
"run_status": "<string>",
"settlement_status": "<string>",
"task_id": "<string>",
"prompt_id": "<string>",
"inputs": {},
"outputs": {},
"compute_cost": "<string>",
"external_model_cost": "<string>",
"total_cost": "<string>",
"final_amount": "<string>",
"released_amount": "<string>",
"error_code": "<string>",
"error_message": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
}运行管理
查询工作流运行详情
查询单次工作流运行订单详情
GET
/
api
/
open
/
v2
/
workflow
/
run
/
info
查询工作流运行详情
查询工作流运行详情
根据运行订单 ID 查询运行订单、计费、输入输出和结算信息。请求参数
string
required
运行订单 ID
响应参数
integer
响应码,
0 表示成功string
响应信息
object
运行订单详情
Show data
Show data
代码示例
import requests
url = "https://www.chenyu.cn/api/open/v2/workflow/run/info"
headers = {
"Authorization": "Bearer your_api_key",
"Content-Type": "application/json"
}
params = {
"run_order_id": "wfrun_314ff7d8b7a5beff1388"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
curl -X GET "https://www.chenyu.cn/api/open/v2/workflow/run/info?run_order_id=wfrun_314ff7d8b7a5beff1388" \
-H "Authorization: Bearer your_api_key" \
-H "Content-Type: application/json"
响应示例
{
"code": 0,
"msg": "查询成功",
"data": {
"run_order_id": "wfrun_314ff7d8b7a5beff1388",
"workflow_id": "wf_861ef31e94dcfb10e6e7",
"revision_id": "wfr_f9f2a2dcb99d73b0c3aa",
"quote_amount": "0.03000000",
"quote_currency": "CNY",
"freeze_status": "released",
"submission_status": "submitted",
"run_status": "succeeded",
"settlement_status": "settled",
"task_id": "task_1778147626528703038_eb84d292e0851c08",
"prompt_id": "prompt_1778147626528707364_b0c0687e49d1f72f",
"inputs": {
"n6_text": "beautiful scenery nature glass bottle landscape, , purple galaxy bottle,",
"n7_text": "text, watermark",
"n3_seed": 156680208700286
},
"outputs": {
"n9_images": "https://www.chenyu.cn/media/example-output"
},
"compute_cost": "0.00028780",
"external_model_cost": "0.00000000",
"total_cost": "0.00028780",
"final_amount": "0.00028780",
"released_amount": "0.02971220",
"error_code": "",
"error_message": "",
"created_at": "2026-05-08T10:00:00Z",
"updated_at": "2026-05-08T10:01:00Z"
}
}